/*#######################################################################################
AVR Webserver 
HTML-Seiten
Copyright (C) 2006 Joachim Brke

Die Seiten knnen durch Tokens komprimiert werden.
\033	<ESCAPE>	leitet verschiedene Variablen und Steuerblcke ein
\032	<SUB>		leitet Abkrzungen durch Tokens ein
\003	<ETX>		Kennzeichen fr das Ende der HTML-Datei
#######################################################################################*/

 
#include <avr/pgmspace.h>


prog_char Page0[] = {		// Fehlerseite "Seite nicht gefunden"
"\032Z"							//<html><body bgcolor=#FFFF99>\r\n
"\032U"							//"\r\n<div align=center>"
"<h2>Fehler</h2><br>"
"<b>HTTP 404: Seite nicht gefunden</b><br>"
"/032Y<br>"
"Mac-Adresse: \033M<br>"		// \033M gibt die komplette MAC-Adresse aus
"Zeit: \033U<br>"				// \033U gibt Zeit und Datum aus
"</div><p>\r\n"
"\032K\003"						// \032K\003 = </body></html>\r\n Ende des Files
};



prog_char Page1[] = {		// Startseite mit allgemeinen Angaben ###################################################
"\032Z"//<html><body bgcolor=#FFFF99>\r\n
"\032U"//"\r\n<div align=center>"
"<table border=0 spacing=2>"
"<tr><td colspan=2 align=center><h3>\032Y</h3></td></tr>"
"<tr><td><img src=\"t.jpg\"></td>"
  "<td>"
	"<table>"
	"<tr><td>IP-Adresse: </td><td><b>\033I</b></td></tr>"	// \033I gibt die komplette IP-Adresse aus
	"<tr><td>Mac-Adresse: </td><td><b>\033M</b></td></tr>"	// \033M gibt die komplette MAC-Adresse aus
	"<tr><td>Seitenzhler: </td><td><b>\0331</b></td></tr>"	// \0331 gibt den Seitenzhler aus
	"<tr><td colspan=2><pre>\033V\r\n"// \033V gibt die Uptime aus
	"\033U</pre></td></tr>"// \033U gibt Zeit und Datum aus
	"</table>"
  "</td>"
"</tr>"
"<tr><td colspan=2>"
"Die <a href=\"http://avr.xn--brke-5qa.de/frame.htm\">Beschreibung</a> aus dem Internet"
"</td></tr></table>"
"</div>\032K\003"	//\003 = Ende des Files
};



prog_char Page2[] = {		// Anzeige der Dallas-Bausteine mit Meergebnissen ######################################
"<html><head>"
"<meta http-equiv=\"refresh\" content=\"\033R*; URL=t.htm\"></head>"	// \033R* gibt refresh-Zeit aus
"<body bgcolor=#33FF99>"
"\032U"//"\r\n<div align=center>"
"<h3>Objektliste</h3></div>\r\n<pre>"
"\033%T\r\n"							// \033%T = Schleifenanfang
	"<a href=n.htm?VAL=\033L>"			// Link zur Bearbeitungsseite
	"#\033L:</a> "						// \033L  = Laufvariable der Schleife
	"\033D* "							// \033D* = Seriennummer mit Index der Laufvariablen (Einzelwert mit \033D1 etc.)
	"<b>\033f* "						// \033f* = Temperatur mit Index und Einheit (wie vorstehend)
	"\033g*</b> "						// \033g* = External Power-Bit (wie vorstehend)
	"\033t* "							// \033t* = Typ des Bausteins
	"\033N*"							// \033N* = Namen mit Index (wie vorstehend)
"\033&T"								// \033&T = Schleifenende !

	" \032M>"								//"\r\n<form method=get>"
	"Refreshintervall: <select\032TVAR>"	// Refreshintervall einstellen
		"\032X3\033R3> 3 s<br>"				//"\r\n<option value="
		"\032X5\033R5> 5 s<br>"
		"\032X10\033RA> 10 s<br>"
		"\032X30\033RU> 30 s<br>"
	"</select>"
	"\032P"//""<input type=submit value=\""
		"setzen\"></form>"

"\r\n\033U "			// Zeit und Datum
"Seite \0331</pre>\032K\003"		//\003 = Ende des File
};



prog_char Page3[] = {		// Speicherdump ausgeben ################################################################
"\032Z"						//<html><body bgcolor=#FFFF99>\r\n
"<pre>\r\n"	
" \033%Y"					// \033%Y = Schleifenanfang
" \033&Y"					// \033&Y = Schleifenende und Ausgabe der Adresszeile und der Datenzeilen
"\r\n\0331/\033U\r\n"
"</pre>\032K\003"			//\003 = Ende des File
};



prog_char Page4[] = {		// Einstellungen aller Art ##############################################################
"\032Z"											//<html><body bgcolor=#FFFF99>\r\n
"<h3>Einstellungen</h3>"

"\032M>"										//"<form method=get "
	"\032Q"										//"\r\n<input type=text maxlength="
		"3\032TVAi size=3\032W\033i> . "		// IP-Adresse setzen
	"\032Q"										//"\r\n<input type=text maxlength="
		"3\032TVAj size=3\032W\033j> . "
	"\032Q"										//"\r\n<input type=text maxlength="
		"3\032TVAk size=3\032W\033k> . "
	"\032Q"										//"\r\n<input type=text maxlength="
		"3\032TVAl size=3\032W\033l><br>"
	"\032P"										//""<input type=submit value=\""
"neue IP-Adresse\"></form>"

"\032M>"										//"<form method=get "
	"\032Q"										//"\r\n<input type=text maxlength="
		"2\032TVAh size=2\032W\033h> : "		// Uhr stellen
	"\032Q"										//"\r\n<input type=text maxlength="
		"2\032TVAm size=2\032W\033m> : "
	"\032Q"										//"\r\n<input type=text maxlength="
		"2\032TVAs size=2\032W\033s><br>"
	"\032P"										//""<input type=submit value=\""
"Uhr stellen\"></form>"

"\032M>"										//"<form method=get "
	"DCF77-Pegel: \033A/255<br>"				// ADC-Ergebnis auslesen
	"DCF77-Schaltschwelle: "
	"\032Q"										//"\r\n<input type=text maxlength="
		"3\032TVAS size=3\032W\033S><br>"		// Schaltschwelle fr DCF77-Eingang einstellen

	"Anzahl der Funktelegramme: "
	"\032Q"										//"\r\n<input type=text maxlength="
		"1\032TVAr size=1\032W\033r><br>"		// Wiederholungsanzahl fr Funktelegramme setzen

	"one-wire Busleitungen" 					// Busleitungen schalten
	"\032O"										//"<input type=hidden name="
	"VA0\032W0>"								// eingefhrt, um die Checkboxen zurckzustellen
	"\032N"										//"\r\n<input type=checkbox name=VA"
		"6\032W1\0336+>Port D 3"				// "selected", wenn Variable gesetzt
	"\032N"										//"\r\n<input type=checkbox name=VA"
		"4\032W1\0334+>Port D 4"
	"\032N"										//"\r\n<input type=checkbox name=VA"
		"5\032W1\0335+>Port D 5<br>"
	
	"\032P"										//"<input type=submit value=\"
"setzen\"></form><p>"

"LED-Tastverhltnis: \0332/255"					// LED-Einstellung
"<pre>\0331/\033U</pre>" 						// Seitenzhler und Uhrzeit ausgeben
"\032K"											//</body></html>\r\n
"\003"											//\003 = Ende des Files
};



prog_char Page5[] = {		// Bezeichnungen der Dallasbausteine bearbeiten ########################################
"\032Z"											//<html><body bgcolor=#FFFF99>\r\n
"\032U"											//"\r\n<div align=center>"
"<h3>Datensatz bearbeiten</h3></div>\r\n"
"<table><tr><td><pre>"
"Datensatz #<b>\033L</b>\r\n"					// \033L  = Laufvariable der Schleife


"\033%I0"								// ***** Variante 0 fr unbenutzte Eintrge
  "neuer Eintrag:"
  "\032M>"										//"\r\n<form method=get"
  "\032O"										//"<input type=hidden name="
	"VAL\032W\033L>"							// Laufvariable behalten
  "\032O"										//"<input type=hidden name="
	"VAE\032W254>"								// VAE=254 bedeutet: Funksteckdose definieren
  "\032P"										//"<input type=submit value=\""
	"\032G\"></form>"
	
  "\032M>"										//"\r\n<form method=get"
  "\032O"										//"<input type=hidden name="
	"VAL\032W\033L>"							// Laufvariable behalten
  "\032O"										//"<input type=hidden name="
	"VAE\032W253>"								// VAE=253 bedeutet: Port definieren
  "\032P"										//"<input type=submit value=\""
	"Portleitung\"></form>"
	
  "\032M>"										//"\r\n<form method=get"
  "\032O"										//"<input type=hidden name="
	"VAL\032W\033L>"							// Laufvariable behalten
  "\032O"										//"<input type=hidden name="
	"VAE\032W252>"								// VAE=252 bedeutet: Thermostat definieren
  "\032P"										//"<input type=submit value=\""
	"Thermostat\"></form>"
	
  "\032M>"										//"\r\n<form method=get"
  "\032O"										//"<input type=hidden name="
	"VAL\032W\033L>"							// Laufvariable behalten
  "\032O"										//"<input type=hidden name="
	"VAE\032W250>"								// VAE=250 bedeutet: Schaltuhr definieren
  "\032P"										//"<input type=submit value=\""
	"Schaltuhr\"></form>"
  "\033&I "								// ***** Ende der Variante 0


"\033%I3"								// ***** Variante 3 fr benutzte Eintrge
  "Seriennummer:\r\n"
  "<b>\033D*</b>\r\n"							// \033D* = Seriennummer mit Index der Laufvariablen (Einzelwert mit \033D1 etc.)
  "Typ: <b>\033t*</b>\r\n"						// \033t* = Typ mit Index der Laufvariablen
  "Bausteinbezeichnung:\r\n"
  "<b>\033N*</b>"								// \033N* = Namen mit Index (wie vorstehend)
  "\032M\032S"									//"<form method=get action=\"t.htm\">"
  "\032OVAL\032W\033L>"							//"<input type=hidden name= ... value= "	// Laufvariable behalten
  "\032Q"										//"\r\n<input type=text maxlength="
	"16\032TVAN size=16\032W\"\033N/\">\r\n"	// \033N/ = Namen mit Index in Tokenschreibweise
	""											// <form> wird spter beendet
  "\033&I "								// ***** Ende der Variante 3


"\033%I1"								// ***** Variante 1 zur Festlegung des Steckdosencodes
  "Einschaltcode:\r\n\032Q"						//"\r\n<input type=text maxlength="
	"12\032TVAW size=12\032W\033W>\r\n"			// \033W = Einschaltcode
  "Ausschaltcode:\r\n\032Q"						//"\r\n<input type=text maxlength="
	"12\032TVAw size=12\032W\033w> "			// \033w = Ausschaltcode
  "\033&I "								// ***** Ende der Variante 1


"\033%I2"								// ***** Variante 2 zur Festlegung der Ports
  "Port "
  "<select\032TVAo>"							// Portbuchstabe einstellen (erst VAL, dann VAo, dann VAp!)
	"\032X10\033oA>A<br>"						//"\r\n<option value="
	"\032X11\033oB>B<br>"
	"\032X12\033oC>C<br>"
	"\032X13\033oD>D<br>"
  "</select>"
  "<select\032TVAp>"							// Leitungsnummer einstellen (erst VAL, dann VAo, dann VAp!)
	"\032X0\033p0>0<br>"						//"\r\n<option value="
	"\032X1\033p1>1<br>"
	"\032X2\033p2>2<br>"
	"\032X3\033p3>3<br>"
	"\032X4\033p4>4<br>"
	"\032X5\033p5>5<br>"
	"\032X6\033p6>6<br>"
	"\032X7\033p7>7<br>"
  "</select>"
  "\033&I "								// ***** Ende der Variante 2


"\033%I4"								// ***** Variante 4 zur Festlegung eines Thermostaten
"Thermometer \032Q"								//"\r\n<input type=text maxlength="
	"3\032TVAa0 size=3\032W\033a0>"				// name=  ... value=
"\r\nT ein \032Q"								//"\r\n<input type=text maxlength="
	"3\032TVAa1 size=3\032W\033a1>,"			// name=  ... value=
	"\032Q"										//"\r\n<input type=text maxlength="
	"3\032TVAa2 size=3\032W\033a2>C"			// name=  ... value=
"\r\nT aus \032Q"								//"\r\n<input type=text maxlength="
	"3\032TVAa3 size=3\032W\033a3>,"			// name=  ... value=
	"\032Q"										//"\r\n<input type=text maxlength="
	"3\032TVAa4 size=3\032W\033a4>C"			// name=  ... value=
  "\033&I "								// ***** Ende der Variante 4


"\033%I7"								// ***** Variante 7 zur Festlegung einer Schaltuhr
"\r\nEinschaltzeit "
	"\032Q"										//"\r\n<input type=text maxlength="
	"2\032TVAa0 size=2\032W\033a0>:"			// name=  ... value=
	"\032Q"										//"\r\n<input type=text maxlength="
	"2\032TVAa1 size=2\032W\033a1>"				// name=  ... value=
"\r\nAusschaltzeit "
	"\032Q"										//"\r\n<input type=text maxlength="
	"2\032TVAa2 size=2\032W\033a2>:"			// name=  ... value=
	"\032Q"										//"\r\n<input type=text maxlength="
	"2\032TVAa3 size=2\032W\033a3>"				// name=  ... value=	
  "\033&I "								// ***** Ende der Variante 7


"\033%I5"								// ***** Variante 5 zur Festlegung der Schaltbedingung
"\r\nSchalter "
	"\032Q"										//"\r\n<input type=text maxlength="
	"3\032TVAa6 size=3\032W\033a6> (0=manuell)"	// Schaltbedingung	
  "\033&I "								// ***** Ende der Variante 5


"\033%I6"								// ***** Variante 6 fr Speicherdump
	"\r\n<a href=\"d.htm?VAB=5\">Speicher auslesen</a>"
"\033&I "								// ***** Ende der Variante 6


"\033%I3"								// ***** Variante 3 fr benutzte Eintrge zum Abschlieen des <form>-Blockes
	"\r\n\032Peingeben\"></form>" 				//<input type=submit value="eingeben"></form>

  "\032M\032S"									//"<form method=get action=\"t.htm\">"
  "\032O"										//"<input type=hidden name="
	"VAL\032W\033L>"							// Laufvariable behalten
  "\032O"										//"<input type=hidden name="
	"VAE\032W\033L>"							// \033E = Eintrag lschen
  "\032P"										//"<input type=submit value=\""
	"Eintrag lschen\"></form>"
	
  "\032M\032S"									//"<form method=get action=\"t.htm\">"
  "\032O"										//"<input type=hidden name="
	"VAL\032W\033L>"							// Laufvariable behalten
  "\032O"										//"<input type=hidden name="
	"VAH\032W\033L>"							// \033H = Eintrag verschieben
  "\032P"										//"<input type=submit value=\""
	"Eintrag hochschieben\"></form>"
  "</pre></td>"  								// Ende der ersten Spalte
  
  "<td><pre>"									// zweite Spalte beginnen
  "mgliche Abkrzungen :"						// berschrift
  "\033%N"										// \033%N = Schleifenanfang
	"\r\n*\033O = "								// \033O  = Laufvariable der Schleife als ASCII-Zeichen (zur Basis 36)
	"\"\032*\""									// \032* = Token mit Index der Laufvariablen (Einzelwert mit \0321 etc.)
  "\033&N "										// \033&N = Schleifenende !
  
  "\032M\032S"									//"\r\n<form method=get action=\"t.htm\">"
  "\032P"										//"<input type=submit value=\""
	"zurck\"></form>"
  "\033&I"								// ***** Ende der Variante 3

"\r\n\0331\r\n\033U</pre></td>"

" </tr></table>\032K\003"						//\003 = Ende des File
};



prog_char Page6[] = {		// Meergebnisse fr LOG-Zwecke #########################################################
"<html><body><pre>"
"\033%T\r\n:"				// \033%T = Schleifenanfang
"\033L:"					// \033L  = Laufvariable der Schleife
"\033D*:"					// \033D* = Seriennummer mit Index der Laufvariablen (Einzelwert mit \033D1 etc.)
"\033f*:"					// \033f* = Temperatur mit Index (wie vorstehend)
"\033N*:"					// \033N* = Namen mit Index (wie vorstehend)
"\033&T"					// \033&T = Schleifenende !
"\r\n</pre>\032K\003"		//\003 = Ende des File
};



#ifdef USE_MCA25_CAM
prog_char Page7[] = {		// Webcamseite ##########################################################################
"\032Z"
"\032U"											//"\r\n<div align=center>"
  "\032M>"										//"\r\n<form method=get "
	"\032Limage\032TP src=\"cam.jpg?q=\0331\" alt=\"Zum Refresh auf das Bild klicken\">"
	"<br>Funlayer: "
	"\032Q"										//"\r\n<input type=text maxlength="
		"1\032TVAF size=2\032W\033F> "
	"Bildgre: <select\032TVAP>"				// Bildgre einstellen
	"\032X"										//"\r\n<option value="
		"1 \033P1>640*480<br>"
	"\032X"										//"\r\n<option value="
		"2 \033P2>320*240<br>"
	"\032X"										//"\r\n<option value="
		"3 \033P3>160*120<br>"
	"</select>"
	"<pre> \033U</pre>"
  "</form>"
"</div>\032K\003" 			//\003 = Ende des Files
};
#endif



prog_char Page8[] = {		// Frameseite ###########################################################################
"<html><head><title>\032Y</title></head>\r\n"
"<frameset cols=110,* frameborder=0 frameborder=no framespacing=0>"
"<frame src=m.htm scrolling=no>"
"<frame src=s.htm\032Tr>"
"</frameset>"
"</html>\r\n\003"			//\003 = Ende des Files
};



prog_char Page9[] = {		// Menseite ############################################################################
"<html><head><base target=\"r\"></head>\r\n"
"<body background=b.gif>\032U"					//"\r\n<div align=center>"
"<h3>\032Y</h3>"
"<br><img src=\"t.jpg\">"
"</div><pre>"	
"\r\n<a href=\"s.htm\">Startseite</a>"
#ifdef USE_MCA25_CAM
"\r\n<a href=\"c.htm\">Webcam</a>"
#endif
"\r\n<a href=\"t.htm\">Objekte</a>"
"\r\n<a href=\"e.htm\">Einstellung</a>"
"\r\n\nDUMP:"
"\r\n  <a href=\"d.htm?VAB=1\">EEPROM</a>"
"\r\n  <a href=\"d.htm?VAB=2\">RAM</a>"
"\r\n  <a href=\"d.htm?VAB=4\">Flash</a>"
"\r\n  <a href=\"d.htm?VAB=3\">93LC46</a>"
"</pre>\032K\003"			//\003 = Ende des Files
};



prog_char Picture1[] = {	// "t.jpg"
0xFF,0xD8,0xFF,0xE0,0x00,0x10,0x4A,0x46,0x49,0x46,0x00,0x01,0x02,0x02,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0xE1,0x00,0xBC,0x45,0x78,0x69,0x66,0x00,0x00,0x49,0x49,
0x2A,0x00,0x08,0x00,0x00,0x00,0x06,0x00,0x12,0x01,0x03,0x00,0x01,0x00,0x00,0x00,
0x01,0x00,0x00,0x00,0x1A,0x01,0x05,0x00,0x01,0x00,0x00,0x00,0x56,0x00,0x00,0x00,
0x1B,0x01,0x05,0x00,0x01,0x00,0x00,0x00,0x5E,0x00,0x00,0x00,0x28,0x01,0x03,0x00,
0x01,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x13,0x02,0x03,0x00,0x01,0x00,0x00,0x00,
0x01,0x00,0x00,0x00,0x69,0x87,0x04,0x00,0x01,0x00,0x00,0x00,0x66,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x48,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x48,0x00,0x00,0x00,
0x01,0x00,0x00,0x00,0x06,0x00,0x00,0x90,0x07,0x00,0x04,0x00,0x00,0x00,0x30,0x32,
0x30,0x30,0x01,0x91,0x07,0x00,0x04,0x00,0x00,0x00,0x01,0x02,0x03,0x00,0x00,0xA0,
0x07,0x00,0x04,0x00,0x00,0x00,0x30,0x31,0x30,0x31,0x01,0xA0,0x03,0x00,0x01,0x00,
0x00,0x00,0x01,0x00,0x00,0x00,0x02,0xA0,0x04,0x00,0x01,0x00,0x00,0x00,0x55,0x00,
0x00,0x00,0x03,0xA0,0x04,0x00,0x01,0x00,0x00,0x00,0x55,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xFF,0xFE,0x00,0x1E,0x41,0x43,0x44,0x20,0x53,0x79,0x73,0x74,0x65,0x6D,
0x73,0x20,0x44,0x69,0x67,0x69,0x74,0x61,0x6C,0x20,0x49,0x6D,0x61,0x67,0x69,0x6E,
0x67,0x00,0xFF,0xDB,0x00,0x84,0x00,0x0A,0x06,0x07,0x08,0x07,0x06,0x0A,0x08,0x08,
0x08,0x0B,0x0A,0x0A,0x0B,0x0F,0x19,0x10,0x0F,0x0D,0x0D,0x0F,0x1E,0x15,0x17,0x12,
0x19,0x24,0x1F,0x26,0x25,0x23,0x1F,0x23,0x22,0x28,0x2D,0x39,0x30,0x28,0x2A,0x36,
0x2B,0x22,0x23,0x32,0x44,0x32,0x36,0x3B,0x3D,0x40,0x41,0x40,0x26,0x30,0x46,0x4B,
0x46,0x3E,0x4B,0x39,0x3F,0x40,0x3D,0x01,0x0F,0x10,0x10,0x16,0x13,0x16,0x2C,0x18,
0x18,0x2C,0x5C,0x3D,0x34,0x3D,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,
0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,
0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,
0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0x5C,0xFF,0xC4,0x00,0x76,0x00,0x00,0x02,0x02,
0x03,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x05,
0x06,0x01,0x03,0x04,0x08,0x02,0x10,0x00,0x01,0x03,0x03,0x03,0x01,0x06,0x03,0x06,
0x05,0x05,0x01,0x00,0x00,0x00,0x00,0x01,0x02,0x03,0x04,0x00,0x05,0x11,0x06,0x12,
0x21,0x31,0x07,0x13,0x22,0x41,0x51,0x61,0x14,0x71,0x81,0x15,0x23,0x32,0x91,0xA1,
0xB1,0x08,0x16,0x42,0x52,0xC1,0x34,0x62,0x73,0xD1,0xE1,0xF0,0x01,0x01,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x11,0x01,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xC0,0x00,0x11,0x08,0x00,0x55,0x00,0x55,0x03,0x01,0x22,0x00,0x02,0x11,0x01,
0x03,0x11,0x01,0xFF,0xDA,0x00,0x0C,0x03,0x01,0x00,0x02,0x11,0x03,0x11,0x00,0x3F,
0x00,0x71,0xD1,0x45,0x14,0x05,0x14,0x51,0x9A,0x08,0x0E,0xD0,0x35,0x17,0xF2,0xBE,
0x93,0x9B,0x73,0x41,0x48,0x7D,0x08,0xD8,0xC0,0x57,0x20,0xB8,0xAE,0x13,0xC7,0x9E,
0x3A,0xE3,0xDA,0x93,0xF0,0xBB,0x74,0xD4,0xCC,0x04,0xA6,0x44,0x4B,0x74,0x90,0x0F,
0x2A,0x2D,0xA9,0x0A,0x23,0xE8,0xAC,0x7E,0x95,0xBF,0xF8,0x81,0xD4,0xC6,0x75,0xF5,
0xAB,0x14,0x77,0x72,0xC4,0x04,0xEE,0x74,0x03,0xC1,0x75,0x43,0xA1,0xF9,0x0C,0x7E,
0x66,0x95,0xD4,0x0C,0x8B,0x87,0x6E,0x3A,0xA2,0x52,0x8A,0x62,0xB1,0x02,0x1A,0x49,
0xE0,0xA5,0xB2,0xB5,0x0F,0xAA,0x89,0x1F,0xA5,0x3F,0xD9,0xEF,0x3B,0xA4,0x77,0xA1,
0x3D,0xE6,0x06,0xED,0xBD,0x33,0xE7,0x8A,0xF2,0x2D,0x85,0x83,0x26,0xF7,0x02,0x38,
0x40,0x70,0xBB,0x21,0xB4,0x6C,0x3F,0xD5,0x95,0x01,0x8A,0xF5,0xE5,0x01,0x45,0x14,
0x50,0x66,0x8A,0x28,0xA0,0xC5,0x14,0x51,0x40,0x54,0x66,0xA9,0xBD,0x47,0xD3,0xD6,
0x19,0x97,0x59,0x2B,0x4A,0x53,0x1D,0xB2,0xA4,0x82,0x7F,0x1A,0xBF,0xA5,0x23,0xDC,
0x9C,0x0A,0x92,0x5A,0x82,0x01,0x52,0x94,0x00,0x03,0x24,0x9E,0x95,0xE7,0x9E,0xD3,
0xF5,0xDB,0xBA,0xCE,0xE6,0xBB,0x64,0x25,0xF7,0x56,0xB8,0x9D,0xE2,0xD0,0x7A,0x97,
0xD4,0x94,0x93,0xBC,0x8F,0x2E,0x87,0x1E,0x99,0xA0,0xA1,0xCE,0x96,0xF4,0xE9,0x8F,
0x4B,0x90,0xB2,0xB7,0x9F,0x59,0x71,0x6A,0x3D,0x49,0x27,0x26,0xB4,0xD4,0xBE,0x8C,
0xB2,0xFF,0x00,0x31,0x6A,0x9B,0x7D,0xA8,0x92,0x11,0x21,0xD0,0x1C,0x23,0xA8,0x40,
0xF1,0x2B,0x1E,0xFB,0x41,0xA6,0xC4,0x0D,0x07,0xD9,0xF5,0xFA,0xF5,0x2A,0xD9,0x16,
0x1D,0xCA,0x14,0x96,0x12,0x1D,0x29,0x2F,0x04,0xF8,0x49,0xC6,0x00,0x24,0x91,0xF2,
0x20,0x1A,0x05,0x2E,0x8E,0x20,0x6A,0xEB,0x39,0x24,0x00,0x27,0x31,0xC9,0xFF,0x00,
0x91,0x35,0xEB,0x4A,0x4F,0x5C,0xB4,0x4E,0x91,0x8A,0xC4,0x98,0x16,0xB8,0x92,0x59,
0xBA,0xB2,0x95,0x3B,0x1E,0x54,0x89,0x28,0x2A,0xDE,0x80,0x54,0x01,0x6F,0x76,0x70,
0x76,0xE3,0x94,0xF9,0xE6,0x9B,0x70,0x24,0xA6,0x64,0x16,0x25,0x27,0x01,0x2F,0x36,
0x97,0x00,0x07,0x23,0x90,0x0F,0x5F,0xAD,0x06,0xEA,0x28,0xA2,0x80,0xAC,0xD1,0x45,
0x04,0x0D,0xFF,0x00,0x50,0x3D,0x01,0xD5,0x47,0x81,0x11,0x12,0x9F,0x6D,0x29,0x5B,
0x81,0xC7,0x0A,0x12,0x90,0x73,0xE8,0x0F,0x40,0x09,0x39,0xC0,0x03,0xDC,0x81,0x5F,
0x71,0xF5,0x23,0x6D,0xA5,0xB1,0x76,0x8C,0xED,0xB4,0xB9,0x8D,0x8E,0x39,0xE2,0x69,
0x79,0xE9,0x85,0x8E,0x9F,0x25,0x60,0xD4,0x3D,0xC9,0x07,0xE3,0x9F,0x8A,0xA8,0xE9,
0x96,0x4A,0xDD,0x6D,0xC4,0x70,0x4B,0xFD,0xE3,0x61,0x69,0x49,0xCF,0x00,0xE1,0xB2,
0x9F,0x61,0xCF,0x9D,0x59,0x6D,0xEF,0x15,0xC3,0x8A,0x8D,0x8E,0x3C,0x95,0xB4,0x9D,
0xCE,0xF1,0x8C,0xE3,0x9C,0x8C,0xD0,0x2E,0x7B,0x70,0xD7,0x6D,0x41,0xB4,0x26,0xC5,
0x6A,0x92,0x17,0x26,0x72,0x02,0x9D,0x75,0xA5,0x64,0x21,0x93,0xE4,0x08,0xF3,0x57,
0xED,0x9F,0x5A,0x4C,0x58,0x1A,0x4B,0xF7,0x56,0xE3,0xA9,0x7B,0x3B,0xF4,0xAD,0xA0,
0x71,0x9E,0x54,0x82,0x91,0xFA,0x91,0x5E,0x8C,0xBD,0xF6,0x7F,0xA5,0xB5,0x1B,0x81,
0xD9,0x76,0x55,0xC7,0x79,0x59,0x1D,0xEB,0x23,0xBA,0x3C,0x79,0x9C,0x71,0xFA,0x55,
0x0B,0x50,0xF6,0x1E,0xBB,0x7A,0x1D,0x9F,0x69,0xBE,0x25,0x2D,0x30,0x85,0x3B,0xB6,
0x52,0x08,0x52,0x76,0x8C,0xFE,0x24,0xFC,0xBD,0x05,0x04,0x3F,0x62,0x16,0xA9,0x08,
0xBF,0x3F,0x7C,0x7E,0x1A,0xD7,0x02,0x13,0x6B,0x69,0xE7,0x01,0x1E,0x05,0x28,0x63,
0xA7,0x53,0x81,0x9C,0xE3,0xD6,0x9D,0x52,0xA3,0x59,0xF4,0xD4,0x39,0x37,0x26,0x23,
0xC0,0x82,0xA0,0x84,0xA5,0x6E,0xB9,0x86,0x92,0x42,0x78,0x48,0x52,0x80,0xCF,0x4A,
0xF2,0xF7,0xDB,0x53,0x92,0xCB,0xCC,0x34,0xFA,0xD9,0x6E,0x42,0xB7,0xBC,0x96,0xD6,
0xA0,0x1D,0x3F,0xEE,0x19,0xE7,0xFF,0x00,0x4D,0x5D,0xF4,0xCF,0x69,0xD7,0xA6,0xE2,
0x2E,0x25,0xD8,0x42,0x9B,0x6C,0x58,0xD8,0xAF,0x8D,0x42,0x97,0xB7,0x8F,0xC2,0x31,
0x92,0x73,0xE4,0x0E,0x7F,0x4A,0x07,0x2C,0x59,0x56,0x67,0xAD,0x8E,0xDF,0xE1,0x46,
0x88,0xFA,0x9D,0x05,0x3D,0xF4,0x74,0xA4,0x17,0x30,0x4A,0x40,0xDE,0xA0,0x3D,0x7A,
0x9E,0x39,0x34,0x68,0xB5,0x4B,0x8B,0x6B,0x45,0x96,0xE0,0x94,0x09,0x76,0xC6,0x9B,
0x69,0x4A,0x6D,0x7B,0xD2,0xB4,0xE3,0xC2,0x73,0x81,0x83,0x81,0xC8,0x23,0xCB,0xD0,
0x8A,0x4B,0xEB,0xAE,0xD2,0x6F,0x37,0x2B,0x6A,0x6D,0x70,0x84,0x48,0x36,0xB7,0x9B,
0xDA,0x94,0xC3,0xCE,0x56,0xDF,0x4D,0xA4,0x90,0x36,0x81,0x8C,0x11,0x81,0xF9,0x57,
0x47,0x61,0x17,0x69,0x8E,0x6A,0x29,0x36,0x65,0x5C,0x24,0xB4,0xCC,0xC6,0x4B,0x9E,
0x02,0x09,0xDE,0x9F,0x30,0x48,0x38,0xE3,0x3D,0x3D,0x05,0x03,0xFB,0x23,0xD6,0x8A,
0xA9,0x5F,0x76,0xC4,0x65,0x2C,0xC7,0xD4,0x92,0xC3,0xCB,0x52,0xD3,0xCC,0x96,0xCA,
0xB7,0x6C,0x3B,0x53,0x82,0x3F,0xBB,0x15,0xDB,0xA5,0x25,0x36,0x64,0x4B,0x88,0xCC,
0x95,0x3D,0x1D,0x21,0xB7,0x58,0x53,0x8E,0x97,0x14,0x41,0x4E,0x17,0xC9,0x24,0xE0,
0x28,0x11,0x8F,0x23,0x91,0x41,0x61,0xA2,0x8A,0x28,0x2B,0x57,0x76,0x56,0xC5,0xC5,
0x68,0x43,0x6D,0xBC,0xA7,0x52,0xB9,0xAD,0x02,0xAD,0xA5,0x0B,0x40,0x4A,0x16,0x15,
0xE4,0x52,0x52,0xAC,0x73,0xEA,0x7E,0x98,0xB1,0xAA,0xEA,0xBD,0x91,0x17,0x25,0xB6,
0xD8,0x70,0xA9,0xF6,0x9E,0x4B,0x4A,0x2E,0xA9,0x04,0x85,0x10,0xA2,0xA0,0x06,0x7C,
0x63,0xC5,0x8F,0x51,0x8F,0x3A,0x94,0xBC,0x45,0x68,0xB6,0xB9,0xC5,0xF5,0xC7,0x72,
0x3B,0x2E,0x0E,0xF1,0x38,0x23,0x6E,0x32,0x42,0x81,0xE0,0x8F,0x0F,0x9F,0xBF,0xAD,
0x50,0x2C,0xFA,0xAA,0xCD,0x7A,0x83,0x09,0xF6,0xAF,0x0C,0x43,0x7D,0x4A,0x4A,0x9C,
0x8C,0xA9,0x25,0xA7,0x9B,0x5E,0x36,0x94,0x36,0xA5,0x02,0x14,0x92,0x79,0x00,0x9F,
0x41,0x9F,0x40,0x62,0x2A,0x44,0x68,0xD2,0x9B,0x8E,0xB9,0x0A,0x72,0x4A,0xD2,0x4A,
0x5A,0xDD,0x95,0x28,0x71,0x93,0xB7,0xC8,0x71,0xD7,0xA7,0x3E,0xF5,0xBE,0x53,0x09,
0x93,0x15,0xC6,0x1C,0x4E,0x52,0xEA,0x0A,0x08,0x3D,0x08,0x23,0x15,0x58,0xB7,0xEA,
0x58,0xD1,0x90,0xB6,0xBE,0x1D,0x28,0x71,0x29,0x1D,0xF2,0xCA,0x86,0xF6,0x3C,0xBE,
0xF9,0x24,0xEE,0xCE,0x7D,0x37,0x67,0x39,0x15,0x63,0x61,0xF8,0xFD,0xD3,0x6E,0x21,
0xF0,0xEF,0x7D,0xF8,0x54,0x0E,0x77,0x9F,0x61,0xFF,0x00,0xD8,0xA0,0xF2,0x35,0xC6,
0x2A,0xE1,0x4F,0x91,0x11,0xC4,0x94,0xAD,0x87,0x14,0xDA,0x81,0xF2,0x20,0xE2,0xB6,
0x44,0x0E,0xC8,0x61,0x51,0x50,0xA4,0x21,0x1B,0xBB,0xD5,0xA9,0xC5,0x84,0x81,0x81,
0x8F,0xF2,0x7D,0xE9,0xF3,0xDA,0x7E,0x9E,0xB1,0x18,0x0B,0xB8,0x3F,0x69,0x8C,0xED,
0xEE,0x62,0xBB,0x96,0x4A,0x42,0xB9,0xCF,0x2A,0x59,0x48,0x3E,0x22,0x94,0x05,0x2B,
0x38,0xF2,0xA4,0xDF,0x68,0x31,0x61,0xC3,0xD5,0xF3,0x58,0xB7,0x8C,0x45,0xF0,0x29,
0xAC,0xFF,0x00,0x6A,0x90,0x92,0x3F,0x7A,0x0E,0x32,0x97,0xB6,0xA6,0xD2,0x88,0xAC,
0x4A,0x70,0xE0,0xB4,0xB6,0x8A,0x89,0xCA,0x80,0x27,0x18,0x20,0x13,0x8C,0x0E,0x47,
0x18,0xA6,0x3F,0x60,0xDA,0x3A,0xE6,0x8B,0xBA,0x75,0x24,0xB6,0x57,0x1E,0x1A,0x59,
0x52,0x58,0xDE,0x30,0x5E,0x2A,0xE3,0x20,0x7F,0x6E,0x33,0xCF,0xCA,0x95,0xB3,0xD9,
0x43,0x4A,0x64,0x23,0x3E,0x26,0x50,0xA3,0x93,0x9E,0x48,0xA7,0xB7,0x63,0x57,0x89,
0x6A,0xB2,0xC7,0xB1,0xDC,0x16,0x50,0x55,0x1C,0x3F,0x05,0xE0,0xE6,0xE2,0xA4,0x03,
0xE2,0x4F,0x3D,0x0A,0x49,0x49,0xDB,0xE8,0xA1,0xE5,0x41,0x6E,0xBF,0x4E,0x98,0xDB,
0x4E,0x38,0xD4,0x04,0xBA,0xCB,0x0B,0x4A,0xD2,0xF0,0x90,0x91,0xB9,0x41,0x43,0x82,
0x9C,0x64,0x75,0x35,0xC3,0x67,0x90,0x1D,0xD4,0x10,0xA2,0x16,0x1C,0x4A,0x98,0x6A,
0x53,0xA2,0x42,0x42,0x42,0x1C,0xCA,0x9B,0x24,0x70,0x4F,0x9A,0xC1,0xFA,0x0E,0x4D,
0x17,0xD5,0x11,0x6C,0x79,0x4B,0x4A,0x21,0x5C,0xDC,0x50,0x61,0x49,0xDC,0x0B,0x4E,
0x95,0x1C,0x05,0x10,0x78,0x20,0xE7,0x20,0x9C,0x10,0x78,0xC8,0xAA,0xC4,0x3D,0x4E,
0xFD,0xAF,0xB4,0x1B,0x4D,0xB1,0xE0,0xE8,0x82,0xF0,0x90,0xCA,0x14,0xB0,0x0A,0x4E,
0xE5,0x8C,0x29,0x24,0x75,0x1B,0x91,0x8C,0xF1,0x8C,0x9A,0x06,0x95,0x15,0x81,0x59,
0xFC,0xA8,0x2B,0xDD,0xA2,0xDC,0x53,0x6B,0xD1,0x17,0x79,0x47,0x6E,0x44,0x65,0x21,
0x3B,0xBA,0x12,0xAF,0x08,0xFD,0xEB,0xCE,0x96,0x68,0x56,0x83,0x1E,0xE2,0xE5,0xDE,
0x4F,0xC2,0x3F,0x1E,0x29,0xF8,0x66,0x46,0x54,0x5E,0x7B,0x24,0x0C,0x8F,0x2C,0x63,
0xDB,0xCA,0x9B,0x5F,0xC4,0x2D,0xC5,0x42,0xC9,0x6F,0xB3,0x32,0x92,0xB7,0x65,0xBE,
0x5E,0x52,0x40,0xEA,0x84,0x0F,0xFB,0x50,0xFC,0xAA,0x97,0x64,0x61,0x30,0xF4,0xCC,
0xE8,0x57,0x1D,0x0A,0x27,0xC9,0x95,0x95,0xA2,0x6B,0x6B,0x4E,0xE4,0x05,0xEE,0x09,
0x29,0xE0,0x90,0x01,0x42,0xBA,0x7A,0x73,0x41,0xC5,0x1A,0xF5,0xAE,0x6D,0xD6,0xB8,
0x7A,0x81,0xB9,0x12,0x1F,0xB7,0x2F,0xC3,0x95,0x20,0x2D,0x04,0x20,0xE3,0x6A,0xC6,
0x0F,0x1C,0x60,0x13,0xCE,0x29,0x9F,0xA6,0xF5,0x15,0xBA,0xE2,0xA3,0x32,0xCB,0x71,
0x4B,0xD2,0x24,0x12,0xFA,0xA0,0xB7,0xB4,0xBE,0xD8,0xD8,0x3E,0xEF,0x62,0xB0,0x36,
0x85,0x01,0xF8,0x70,0x4F,0xED,0x45,0xD3,0x57,0xDE,0xD0,0xAD,0xB6,0x84,0x5A,0x1B,
0xB4,0xA5,0xD8,0x09,0x4F,0x74,0x1B,0x9D,0x14,0x06,0xC2,0x4E,0x78,0x2A,0x24,0x64,
0x13,0x9E,0xB5,0xC7,0x6C,0xEC,0xCB,0x54,0xAA,0xE0,0x99,0xCD,0xBF,0x1A,0x03,0x89,
0x74,0x94,0x2D,0x97,0x0F,0xDD,0xB9,0x91,0x84,0xA7,0x1C,0x03,0x95,0x70,0x33,0xE4,
0x68,0x2E,0xB7,0xEB,0xE4,0x9B,0x8D,0xD1,0x57,0x44,0xB8,0xB8,0x92,0x2D,0x09,0x6E,
0x2B,0x4C,0xF7,0x7B,0x88,0x92,0xB1,0x97,0x88,0x49,0x3C,0xE1,0x24,0x20,0x75,0xC9,
0x51,0xC6,0x7A,0xD2,0x87,0x59,0x3F,0x1A,0x4E,0xA6,0x9C,0xF4,0x4D,0xE1,0x95,0xB9,
0x94,0x85,0x24,0xA7,0x1C,0x0E,0x80,0xF2,0x13,0xE9,0xED,0x8A,0x64,0xD8,0xAD,0x77,
0xE4,0xEF,0xBA,0xB7,0x3D,0xE9,0x77,0x8D,0xE1,0x3B,0x27,0x27,0xBC,0x0E,0xA5,0x38,
0x29,0x4A,0x93,0xD4,0x1D,0xC7,0x82,0x4E,0x46,0xDE,0x38,0xAA,0x0E,0xB6,0xB1,0x5C,
0xE0,0x6A,0x77,0x22,0x3E,0x99,0x12,0x9E,0x70,0x20,0xA5,0x65,0xB2,0x0B,0x99,0x48,
0x3C,0x01,0xF5,0x00,0x7B,0x50,0x44,0xCD,0x4E,0x22,0x41,0x56,0x30,0x4B,0x4A,0xE7,
0xD7,0xEF,0x14,0x2A,0xF7,0x68,0xB8,0x3D,0x6F,0xD3,0x56,0x4B,0x8C,0x59,0xED,0xB0,
0xFC,0x65,0xEF,0x65,0x90,0x82,0xA3,0x21,0x48,0x2A,0xDE,0x14,0x46,0x48,0x3B,0x48,
0x4F,0x03,0x90,0xA1,0x9E,0x13,0x91,0x1B,0x2B,0x49,0x4C,0x99,0xA4,0xEC,0x93,0x95,
0x22,0x3B,0x40,0xA9,0x71,0x7B,0xA5,0x6E,0x2B,0xC9,0x2B,0x78,0x1C,0x27,0x3B,0xB2,
0x93,0x8C,0x0E,0x72,0x47,0xAD,0x5F,0xB4,0x87,0x67,0xB6,0x5F,0xB3,0x22,0xC9,0x66,
0x00,0xB8,0x6F,0x29,0x51,0x76,0x42,0x4A,0x55,0xBB,0x92,0xAE,0x0E,0x30,0x3A,0x0C,
0x7B,0x63,0xE6,0x1F,0x57,0x4D,0x47,0x16,0xF7,0x6C,0x7A,0xF3,0x3A,0xE5,0x1E,0x1A,
0x59,0x2B,0x4C,0x67,0x02,0xC2,0xD0,0x9C,0xA5,0x27,0x62,0x5B,0xEA,0xE2,0xCE,0x4A,
0x55,0xB8,0x63,0x8C,0x8C,0x62,0x97,0xB3,0x2F,0x33,0xE7,0xFC,0x2D,0xEB,0xED,0xD5,
0x39,0x77,0xFF,0x00,0x4A,0xCD,0xB6,0x13,0x2A,0x41,0x65,0xA1,0xC6,0x32,0x38,0x03,
0xA0,0xC0,0xE4,0xE6,0x9A,0xF1,0xFB,0x30,0xB6,0x8D,0xBD,0xFD,0xB2,0x02,0x96,0x9E,
0x4A,0xFA,0x82,0x4E,0x01,0xE3,0x1D,0x06,0x38,0x1D,0x39,0xF9,0xD4,0xFC,0x1D,0x23,
0x06,0x2A,0x12,0x80,0x10,0x94,0x23,0x94,0xB6,0x86,0xD2,0x02,0x7C,0x5B,0xB0,0x0E,
0x3A,0x0E,0x82,0x82,0x62,0xDB,0x24,0x4D,0xB7,0xC7,0x94,0x06,0x3B,0xE6,0xD2,0xBC,
0x7A,0x64,0x67,0x15,0xD1,0x5F,0x0C,0x32,0x86,0x11,0xB1,0xBC,0x84,0xE4,0xAB,0x04,
0xE7,0x92,0x72,0x7F,0x5C,0xD7,0xDF,0xD6,0x82,0x16,0xE7,0xA5,0xED,0x97,0x4B,0xCB,
0x57,0x49,0x69,0x75,0xC7,0xD9,0x6B,0xBB,0x42,0x4A,0xFC,0x01,0x3B,0xB7,0x1F,0x0F,
0xA9,0x38,0xE7,0xDA,0xBA,0x1B,0xB1,0x5B,0x5A,0x56,0xE6,0xA3,0xEC,0x29,0xC9,0x1B,
0x54,0x78,0x24,0xE7,0x3F,0x9F,0xF9,0xA9,0x03,0xF8,0xBE,0x94,0x7A,0xD0,0x71,0xBF,
0x68,0x85,0x20,0x82,0xFB,0x4A,0x74,0x81,0xC6,0xF5,0x93,0x8C,0x67,0x1F,0xB9,0xFD,
0x3D,0x2B,0xA1,0xB8,0x71,0xD1,0xCA,0x59,0x46,0x49,0xC9,0x24,0x72,0x4F,0xA9,0x3E,
0xBC,0x56,0xD3,0xD3,0xE9,0x59,0x14,0x18,0x0D,0xA0,0x1C,0x84,0x27,0x39,0xCE,0x71,
0xE7,0xEB,0x50,0xD7,0x3D,0x2F,0x6B,0xBA,0x5D,0x3E,0x3E,0x6A,0x1D,0x79,0xDD,0xA9,
0x42,0x52,0x5C,0x21,0x29,0xDB,0xBB,0x04,0x01,0xE7,0xE3,0x55,0x4D,0xD6,0xB5,0x7E,
0x21,0xF3,0xA0,0xD3,0x0A,0xD9,0x06,0x0B,0x0D,0xB3,0x16,0x23,0x2C,0xB6,0xD1,0xCA,
0x12,0x84,0x01,0xB4,0xE3,0x19,0xF9,0xE0,0x63,0x35,0xD3,0x40,0xAC,0xD0,0x15,0x8A,
0xCD,0x14,0x05,0x14,0x51,0x41,0xFF,0xD9,0x00 };



prog_char Picture2[] = {	// "favicon.ico"
0x00,0x00,0x01,0x00,0x01,0x00,0x10,0x10,0x00,0x00,0x01,0x00,0x08,0x00,0x68,0x05,0x00,0x00,0x16,0x00,0x00,0x00,0x28,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x20,0x00,
0x00,0x00,0x01,0x00,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0xFF,0xFF,0xFF,0x00,0x85,0x85,0x85,0x00,0x5F,0x5F,0x5F,0x00,0x0B,0x0B,0xF4,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,
0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x06,0x0C,
0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
0x06,0x01,0x06,0x01,0x06,0x06,0x01,0x06,0x06,0x01,0x06,0x01,0x06,0x06,0x03,0x06,0x06,0x01,0x01,0x01,0x06,0x01,0x06,0x01,0x06,0x01,0x01,0x06,0x06,0x06,0x03,0x06,
0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x01,0x06,0x06,0x06,0x06,0x06,0x06,0x01,0x06,0x06,0x01,0x06,0x01,0x06,0x01,0x01,0x06,0x06,0x06,0x06,0x06,
0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x06,0x06,0x06,0x06,
0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x02,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,
0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0xFF,0xFF,
0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xD5,0x55,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xD5,0x55,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0x00 };



prog_char Picture3[] = {	// "b.gif"
0x47,0x49,0x46,0x38,0x39,0x61,0x70,0x00,0x01,0x00,0xB3,0x00,0x00,0xFF,0xFF,0x99,0x66,0x66,0xFF,0xFF,0x99,0x99,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x21,0xF9,0x04,
0x00,0x00,0x00,0x00,0x00,0x2C,0x00,0x00,0x00,0x00,0x70,0x00,0x01,0x00,0x43,0x04,0x14,0x70,0x48,0x41,0x83,0x05,0x38,0xEB,0xCD,0xBB,0xFF,0x60,0x28,0x8E,0x80,0x34,
0x50,0x82,0x15,0x60,0x11,0x00,0x3B,0x00 };


