/*#######################################################################################
AVR Webserver 
Copyright (C) 2006 Joachim Brke

In dieser Datei werden die HTML-Daten interpretiert. 
Die in in der Seite enthaltenen Platzhalter werden durch Daten ersetzt.

#######################################################################################*/

unsigned char Data = 1, i, j;
unsigned int Zeilenanzahl = 0;

// Ausgabe verschiedener Variablen
// Es handelt sich um eine "if..else..if..else"-Kette, die effizienter als eine case-Anweisung ist,
// aber nicht so schn aussieht.
	
	if (pgm_read_byte(Lesezeiger) =='1') { 	// %VA1 = Variable 1; 4 oder 5-stellige Dezimalzahl
		dec_out2(++sitecounter/100);
		dec_out2(sitecounter%100);
	}
	
	else
	if (pgm_read_byte(Lesezeiger) =='2')	{	// %VA2 = Variable 2; binre- oder Ziffernausgabe
		i = pgm_read_byte(Lesezeiger+1);		// Folgezeichen einlesen
		if ((i=='-') | (i=='+'))				// Bei folgendem "+" oder "-" 
			checked_out (++Lesezeiger,(char)((VA2!=0)>0)); // bei Bedarf 'checked' ausgeben
		else dec_out(VA2);						// Wenn kein "+" oder "-" folgt, Dezimalwert ausgeben
	}
	
	else
	if (pgm_read_byte(Lesezeiger) =='3')	{	// %VA3 = Variable 3; mehrere Zustnde binr ausgeben
		i = pgm_read_byte(++Lesezeiger)-'0';	// Ziffer einlesen, binr darstellen 
		if (VA3==i) string_out_P(checked);	//  und bei Gleichheit 'checked' ausgeben
	}
	
	else
	if (pgm_read_byte(Lesezeiger) =='4')		// %VA4 = Variable 4; Binrausgabe; Bit 4 von BUSES
		checked_out (++Lesezeiger,(char)((DALLAS[0][0]&OWI_PIN_4)>0)); // bei Bedarf 'checked' ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='5')		// %VA5 = Variable 5; Binrausgabe; Bit 5 von BUSES
		checked_out (++Lesezeiger,(char)((DALLAS[0][0]&OWI_PIN_5)>0)); // bei Bedarf 'checked' ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='6')		// %VA6 = Variable 6; Binrausgabe; Bit 3 von BUSES
		checked_out (++Lesezeiger,(char)((DALLAS[0][0]&OWI_PIN_3)>0)); // bei Bedarf 'checked' ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='R')		// %VAR = Variable R; mehrere Zustnde binr oder Ziffernausgabe
		selected_out (++Lesezeiger,VAR);
	
	else
	if (pgm_read_byte(Lesezeiger) =='o')		// %VAo = Variable o; Port [A..D]
		selected_out (++Lesezeiger,eeprom_read_byte_subindex(0)>>4);
	
	else
	if (pgm_read_byte(Lesezeiger) =='p')		// %VAp = Variable p; Port X[0..7]
		selected_out (++Lesezeiger,eeprom_read_byte_subindex(0)&0x07);
	
	else
	if (pgm_read_byte(Lesezeiger) =='O')		// Index als ASCII-Zeichen ausgeben (zur Basis 36)
		*Schreibzeiger++ = Index>9 ? Index+'A'-10 : Index+'0';
	
	// es folgen verschiedene Dezimalausgaben
	else
	if (pgm_read_byte(Lesezeiger) =='L')	dec_out2(Index);	// Index dezimal ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='h')	dec_out2(hh);		// Stunden einfgen
	else
	if (pgm_read_byte(Lesezeiger) =='m')	dec_out2(mm);		// Minuten einfgen
	else
	if (pgm_read_byte(Lesezeiger) =='s')	dec_out2(ss);		// Sekunden einfgen
	
	else
	if (pgm_read_byte(Lesezeiger) =='a')	{
		i = get_index(++Lesezeiger);		// Subindex lesen
		j = eeprom_read_byte_subindex(i);	// Inhalt lesen
		if (i < 7)	{
			if (i==6 && j==0xff) j=0;
			dec_out2(j);
		}
		else nZeichenX(2,'?');							// falscher Subindex
	}
	
	else
	if (pgm_read_byte(Lesezeiger) =='i')	dec_out(VAi);		// IP-Adresse, 1.Byte
	else
	if (pgm_read_byte(Lesezeiger) =='j')	dec_out(VAj);		// IP-Adresse, 2.Byte
	else
	if (pgm_read_byte(Lesezeiger) =='k')	dec_out(VAk);		// IP-Adresse, 3.Byte
	else
	if (pgm_read_byte(Lesezeiger) =='l')	dec_out(VAl);		// IP-Adresse, 4.Byte
	
	else
	if (pgm_read_byte(Lesezeiger) =='r')	dec_out(VAr);		// Telegrammwiederholung
	
	else
	if (pgm_read_byte(Lesezeiger) =='F')	dec_out(VAF);		// Funlevel
	
	else
	if (pgm_read_byte(Lesezeiger) =='P')		// %VAP = Bildformat; mehrere Zustnde binr
		selected_out (++Lesezeiger,VAP);		// bei Bedarf 'selected' ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='B')		// %VAB = Quelle des Dumps; mehrere Zustnde binr
		selected_out (++Lesezeiger,VAB);		// bei Bedarf 'selected' ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='A')	dec_out(Signal_abtasten());	// DCF77-Analogeingang lesen
	
	else
	if (pgm_read_byte(Lesezeiger) =='S')	dec_out(VAS);	// DCF77-Schaltschwelle ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='G')
		dec_out(eeprom_read_byte_subindex(0));	// Thermometernummer
	
	// hier stehen verschiedene zusammengesetzte Ausgaben
	//
	else
	if (pgm_read_byte(Lesezeiger) =='w')	code_out(3);	// Ausschaltcode ausgeben
	else
	if (pgm_read_byte(Lesezeiger) =='W')	code_out(0);	// Einschaltcode ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='M')	{	// MAC-Adresse komplett ausgeben
		for(i=0; i<=5; i++) {					// Die MAC-Adresse besteht aus sechs Zahlen
			hex_out (uip_ethaddr.addr[i]);		// Hexadezimalzahl ausgeben
			if (i<5) *Schreibzeiger++=':';	// Doppelpunkt zwischen den Zahlen ausgeben
	}	}										// Ende MAC-Adresse ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='I')	{	// IP-Adresse komplett ausgeben
		dec_out (VAi);	*Schreibzeiger++='.';	// Punkt zwischen den Zahlen ausgeben
		dec_out (VAj);	*Schreibzeiger++='.';	// Punkt zwischen den Zahlen ausgeben
		dec_out (VAk);	*Schreibzeiger++='.';	// Punkt zwischen den Zahlen ausgeben
		dec_out (VAl);
	}											// Ende IP-Adresse ausgeben
	
	else
	if (pgm_read_byte(Lesezeiger) =='U')	{	// Uhrzeit und Datum komplett ausgeben
		dec_out2(tt);	*Schreibzeiger++='.';	// Punkt zwischen den Zahlen ausgeben
		dec_out2(mt);	*Schreibzeiger++='.';	// Punkt zwischen den Zahlen ausgeben
		dec_out2(20);
		dec_out2(jj);	*Schreibzeiger++=' ';	// Leerstelle ausgeben
		dec_out2(hh);	*Schreibzeiger++=':';	// Doppelpunkt zwischen den Zahlen ausgeben
		dec_out2(mm);	*Schreibzeiger++=':';	// Doppelpunkt zwischen den Zahlen ausgeben
		dec_out2(ss);
	}											// Ende "Uhrzeit und Datum ausgeben"
	
	else
	if (pgm_read_byte(Lesezeiger) =='V')	{	// Uhrzeit (Uptime) komplett ausgeben
		string_out_P(PSTR("uptime "));
		dec_out(d1);	*Schreibzeiger++='d';	*Schreibzeiger++=' ';	// Leerstelle ausgeben
		dec_out2(h1);	*Schreibzeiger++=':';	// Punkt zwischen den Zahlen ausgeben
		dec_out2(m1);	*Schreibzeiger++=':';	// Punkt zwischen den Zahlen ausgeben
		dec_out2(s1);
	}											// Ende "Uptime ausgeben"
	
	else
	if (pgm_read_byte(Lesezeiger) =='t')	{	// Typ des Bausteins als 7-stelligen Textstring ausgeben
		i = get_index(++Lesezeiger);			// Bausteinindex lesen
		char Kennung = DALLAS[i][0];
		
		if (Kennung==Steckdosenkennung)
			string_out_P(PSTR("Funk   "));
		else
		if (Kennung==Thermostatkennung)
			string_out_P(PSTR("Regler "));
		else
		if (Kennung==Schaltuhrkennung)
			string_out_P(PSTR("Uhr    "));
		else
		if (Kennung==Portkennung){
			string_out_P(PSTR("Port "));
			hex_out(eeprom_read_byte_index(i,0));	// Portnummer ausgeben
		}
		else {
			Data = eeprom_read_byte_index(i,0);				// "familycode" des Bausteins holen
			if (Data==0x1D) DALLAS[i][0]= Speicherkennung;
			tabellenzeiger = familycode;						// Tabellenanfang setzen
			while (pgm_read_byte(tabellenzeiger))				// Bis zum Ende der Tabelle '0' gehen
				if (Data==pgm_read_byte(tabellenzeiger)) {	// Wenn wir den Code gefunden haben
					string_out_P(DS);							// "DS" ausgeben
					hex_out(pgm_read_byte(++tabellenzeiger));	// und die beiden ersten Ziffern
					if (Data==0x28) *Schreibzeiger++ ='B';	// und gfs. ein "B"
					hex_out(pgm_read_byte(++tabellenzeiger));	// und die dritte und Vierte Ziffer
					if (Data!=0x28) *Schreibzeiger++ =' ';	// und gfs. Lngenausgleich
					break;
				}
				else tabellenzeiger+=3;				// Wenn nicht gefunden, nchsten Tabellenplatz ansehen
			if (pgm_read_byte(tabellenzeiger)==0)		// Wenn der familycode nicht in der Tabelle steht, 
				nZeichenX(7,' ');						// 7 Space ausgeben
		}
	}											// Ende "Typ des Bausteins ausgeben"
	
	else
	if (pgm_read_byte(Lesezeiger) =='D')	{	// Seriennummer 16-stellig ausgeben
		i = get_index(++Lesezeiger);			// Bausteinindex lesen
		char Kennung = DALLAS[i][0];
		
		if (Kennung==Leerkennung)
			nZeichenX(16,'-');					// 16 Striche ausgeben
		
		else 
		if (Kennung==Thermostatkennung){
			string_out_P(PSTR("Thermostat "));
			dec_out2(eeprom_read_byte_index(i,0));
			*Schreibzeiger++ =' ';
			dec_out2(eeprom_read_byte_index(i,6));
		}
		
		else
		if (Kennung==Schaltuhrkennung){
			dec_out2(eeprom_read_byte_index(i,0));
			*Schreibzeiger++ =':';
			dec_out2(eeprom_read_byte_index(i,1));
			*Schreibzeiger++ ='-';
			dec_out2(eeprom_read_byte_index(i,2));
			*Schreibzeiger++ =':';
			dec_out2(eeprom_read_byte_index(i,3));
			nZeichenX(5,' ');					// Feld auffllen
		}
		
		else 
		if (Kennung==Steckdosenkennung){		// Hier wird Das Telegramm ausgegeben
			code_out(0); 
			nZeichenX(4,' ');					// 4 Space ausgeben
		}
		
		else
		if (Kennung==Portkennung){				// Portnummer ausgeben
			hex_out(eeprom_read_byte_index(i,0));
			nZeichenX(14,' ');					// 14 Space ausgeben
		}
		
		else { 								// sonst die Dallasseriennummer ausgeben
			int adr = i<<4;					// Adresse bilden, das Feld ist 16 Byte gro
			j = 7; 								// Die Adresse besteht ohne CRC aus sieben Byte
			char crc = 0; 						// Startwert fr crc-Berechnung
			do {								// Fr alle sieben Byte
				Data = eeprom_read_byte((char *)adr++);	// Datum aus dem EEPROM holen,
				crc = OWI_ComputeCRC8(Data, crc);			//  in die CRC-Berechnung einbeziehen
				hex_out (Data);								//  und als Hexzahl ausgeben
			} while (--j);					// bis wir mit den sieben Byte durch sind
			hex_out (crc);						// lokal erzeugte CRC-Summe anhngen
		}
		*Schreibzeiger++ =' ';
		hex_out(DALLAS[i][0]);
		hex_out(DALLAS[i][1]);
	}										// Ende "Seriennummer komplett ausgeben"
	
	else
	if (pgm_read_byte(Lesezeiger) =='f'){		// Temperatur ausgeben
		i = get_index(++Lesezeiger);			// Bausteinindex lesen
		char Kennung = DALLAS[i][0];
		
		if (Kennung==Steckdosenkennung
			|| Kennung==Portkennung 
			|| Kennung==Thermostatkennung
			|| Kennung==Schaltuhrkennung){
			if (eeprom_read_byte_index(i,6)==0) {		// Wenn manueller Betrieb eingestellt ist
				if (Kennung==Thermostatkennung
					|| Kennung==Schaltuhrkennung)
					string_out_P(PSTR("EIN     "));
				else {
					string_out_EIN_AUS (EIN);			// EIN bzw. AUS als Link anbieten
					string_out_EIN_AUS (AUS);
				}
			}
			else nZeichenX(8,' ');						// sonst Lngenausgleich des Feldes
		}
		
		else {
			if ((DALLAS[i][1]&0x7f)==0x7f)	// Wenn es kein Thermometer ist, oder das Thermometer nicht aktiv ist
				nZeichenX(8,' ');				// Lngenausgleich des Feldes durchfhren
			else {								// andernfalls die Temperatur ausgeben
				char T = DALLAS[i][0];				// Temperatur in Grad
				if ((T&0x7f)<10) *Schreibzeiger++ =' '; // Wenn der Betrag der Tempertur einstellig ist, Feldausgleich
				if (T>127) {							// Falls die Temperatur negativ ist
					T &= 0x7f;							// Vorzeichen entfernen
					*Schreibzeiger++ ='-';				// Vorzeichen ausgeben
				}
				else 									// wenn die Temperatur positiv ist,
					if (T<100)	*Schreibzeiger++ =' ';	// evt. Feldausgleich
				dec_out (T);							// Betrag der Temperatur ausgeben
				*Schreibzeiger++ =',';					// Dezimalkomma
				char Nachkomma = DALLAS[i][1]&0x7f;
				dec_out2(Nachkomma);					// Nachkommateil ausgeben
				*Schreibzeiger++ = '';				// Einheit anhngen
				*Schreibzeiger++ = 'C';
			}
		} // Ende "es ist ein Thermometer"	
	} 											// Ende "Temperatur ausgeben"
	
	else
	if (pgm_read_byte(Lesezeiger) =='g')	{	// external Power Bit ausgeben
		i = get_index(++Lesezeiger);
		if (DALLAS[i][1]!=0xff)							// es handelt sich um ein Thermometer
			*Schreibzeiger++ =DALLAS[i][1]&0x80?'#':'-';	// test auf external power supply	
		else *Schreibzeiger++ =' ';						// kein Thermometer, deshalb Leerzeichen
	}											// Ende "external Power Bit ausgeben"
	
	else
	if (pgm_read_byte(Lesezeiger) =='N')	{	// Bausteinname komplett ausgeben
		i = pgm_read_byte(++Lesezeiger);		// Folgezeichen nach i laden (Tokens ausgeben oder abkrzen)
		Name_out (Index,i);					// Name zu "Index" ausgeben
		if (i=='*' && (DALLAS[Index][0]==Portkennung 
			|| DALLAS[Index][0]==Steckdosenkennung
			|| DALLAS[Index][0]==Schaltuhrkennung
			|| DALLAS[Index][0]==Thermostatkennung)) {
			char x = eeprom_read_byte_subindex(6);	// mit welchem Satz verlinkt?
			if (x>0 && x<MAX_DEVICES) {		// Wenn <> 0, kein manueller Betrieb
				*Schreibzeiger++ =' ';
				*Schreibzeiger++ ='[';			// Name des verknpften Satzes ausgeben
				if (DALLAS[Index][0]==Thermostatkennung) {
					*Schreibzeiger++ ='T';		// Zeichen fr "Thermometer"
					char y = eeprom_read_byte_subindex(0);	// mit welchem Thermometer verlinkt?
					Nr_Name_out (y,'*');	
					*Schreibzeiger++ =';';		// Trenner
					*Schreibzeiger++ =' ';
				}
				*Schreibzeiger++ ='S';			// Zeichen fr "Schalter"
				Nr_Name_out (x,'*');
				*Schreibzeiger++ =']';
			}
		}
	}											// Ende "Bausteinname komplett ausgeben"

	// ###
	// ### Bearbeitung verschiedener Steuermarken
	// ###
	else
	if (pgm_read_byte(Lesezeiger) =='%'){		// Anfang eines Blockes
		Lesezeiger ++;							// Zeiger auf den Blocktyp weitersetzen
		Wiederholzeiger = Lesezeiger;			// Anfang des Wiederholblockes merken
		
		if (pgm_read_byte(Lesezeiger) =='I'){	// Typ: IF-Block (Bedingt einzufgender Block)
			i = pgm_read_byte(++Lesezeiger);	// Nummer des If-Blockes
			j = DALLAS[Index][0];
			if (i=='0' && j==Leerkennung) {}			// Variante 0	'unbenutzter Block'
			
			else
			if (i=='1' && j==Steckdosenkennung) {}	// Variante 1	'Funksteckdose'
			
			else
			if (i=='2' && j==Portkennung) {}			// Variante 2	'I/O-Port'
			
			else
			if (i=='3' && j!=Leerkennung) {}			// Variante 3	'benutzter Block'
			
			else
			if (i=='4' && j==Thermostatkennung) {}	// Variante 4	'Thermostat'
			
			else
			if (i=='5' && (j==Thermostatkennung
				|| j==Steckdosenkennung
				|| j==Portkennung
				|| j==Schaltuhrkennung)) {}			// Variante 5
			
			else
			if (i=='6' && (j==Speicherkennung)) {}	// Variante 6
			
			else
			if (i=='7' && (j==Schaltuhrkennung)) {}	// Variante 7
			
			else	do Lesezeiger++; 				// wegen abweisender Schleife Blockende suchen
				while (strncmp_P("&I",(Lesezeiger+2),2)!=0);
		}
		
		else {
			Index16 = 0; Index=0;							// Startwert fr den globalen Index setzen
			if (pgm_read_byte(Lesezeiger) =='T'){			// Typ: Temperaturblock
				do Lesezeiger++; 								// wegen abweisender Schleife Blockende suchen
					while (strncmp_P("&T",(Lesezeiger+2),2)!=0);
			}
			
			else
			if (pgm_read_byte(Lesezeiger) =='N') {}		// Typ: Namensblock
			
			else							
			if (pgm_read_byte(Lesezeiger) =='Y') {		// Typ: Speicherdumpblock
				// Adresszeile (berschrift) fr Speicherdump ausgeben
				unsigned char k;
				nZeichenX(5,' ');
				for(k=0;k<=15;k++) {	// Adressen 0..F
					*Schreibzeiger++=' ';
					hex_out(k);
					if (k==7) string_out_P (PSTR(" -"));
				}
				string_out_P (PSTR("\r\n\n"));
				// Ende berschrift fr Speicherdump
			}
		}
	} // Ende der Bearbeitung der Anfangsmarken
	
	else
	if (pgm_read_byte(Lesezeiger) =='&'){		// Ende eines Wiederholblockes
		Lesezeiger++;							// Zeiger weitersetzen
		Zeilenanzahl = 0;
		
		if (pgm_read_byte(Lesezeiger)=='I') {	// Typ: IF-Block
			Zeilenanzahl = Index16;				// fertig, es gibt keine Wiederholung
		}
		
		else
		if (pgm_read_byte(Lesezeiger) =='T'){		// Typ: Temperaturblock
			Index++;									// Die Thermometer fangen mit Index 1 an!
			if (Index<MAX_DEVICES)						// Beim letzten Durchlauf beenden,
/*				if ((VA3>0)&(VA3<4)) {					// evtl. Ausgabebereich einschrnken
					if (DALLAS[Index][0]==Leerkennung) 	// wenn die Position leer ist,
						do Index++;						//  gehen wir zum nchsten Baustein,
						while ((Index<MAX_DEVICES)			//  solange nicht der letzte Baustein erreicht wurde
							& (DALLAS[Index][0]==Leerkennung));	//  und auch diese Position leer ist
					else {
						if (VA3>1) {						// nur Thermometer anzeigen
						if (DALLAS[Index][1]==0xff)		// wenn es kein Thermometer ist,
							do Index++;					//  gehen wir zum nchsten Baustein,
							while ((Index<MAX_DEVICES)		//  solange nicht der letzte Baustein erreicht wurde
							& (DALLAS[Index][1]==0xff));	//  und kein Thermometer gefunden wurde
						}
						if ((VA3==3)&(Index<MAX_DEVICES))	// nur aktive Thermometer anzeigen
						if ((DALLAS[Index][1]==0xff)		// wenn es kein Thermometer ist,
							|(DALLAS[Index][1]==0x7f))	//  oder wenn es nicht aktiv ist
							do Index++;					//  gehen wir zum nchsten Baustein,
							while ((Index<MAX_DEVICES)		//  solange nicht der letzte Baustein erreicht wurde
							& ((DALLAS[Index][1]==0xff)	//  und kein Thermometer gefunden wurde
							| (DALLAS[Index][1]==0x7f)));	//  und kein aktives Thermometer gefunden wurde
					}
				}
*/			Zeilenanzahl = MAX_DEVICES;						// Wiederholung bis MAX_DEVICES
			Index16 = Index;
		}
		
		else
		if (pgm_read_byte(Lesezeiger) =='N')	{		// Typ: Namensblock
			Zeilenanzahl = MAX_TOKENS;					// Wiederholung bis MAX_TOKENS
			Index++;									// nchster Name
			Index16 = Index;
		}
		
		else
		if (pgm_read_byte(Lesezeiger) =='Y')	{		// Typ: Speicherdumpblock
			if		 (VAB==1) Zeilenanzahl = 64; 		//   64 Zeilen = 1 kByte EEPROM
			else if (VAB==2) Zeilenanzahl = 134; 		//  134 Zeilen = 2 kByte + 0x60 Bytes RAM
			else if (VAB==3) Zeilenanzahl = 8;		//    8 Zeilen = 128 Byte 93LC46-EEPROM
			else if (VAB==4) Zeilenanzahl = 2048;		// 2048 Zeilen = 32 kByte FLASH
			else if (VAB==5) Zeilenanzahl = 32;		//   32 Zeilen = 512 Byte Dallas-Memory
			
			// Datenzeile fr Speicherdump ausgeben
				unsigned char k;
				int Addr = Index16<<4;
				
				// "Adresse:" ausgeben
				hex_out(Addr>>8);	hex_out(Addr&0xff);
				*Schreibzeiger++=':';
				
				// Hexdarstellung
				for(k=0; k<=15; k++)  {				// Daten fr x0..xF
					*Schreibzeiger++=' ';
					hex_out(Dumpbyte(Addr++));
					if (k==7) string_out_P (PSTR(" -"));
				}
				nZeichenX(4,' ');
				
				// Char-Darstellung
				unsigned char l;
				Addr = (int)Index16<<4;
				for(k=0; k<=15; k++) {				// am Zeilenende Daten als 16 ASCII-Zeichen ausgeben
					l = Dumpbyte(Addr++);				// einzelnes Zeichen untersuchen und HTML-konform machen
					if ((l<32)|(l>126)) l='.';		// nicht druckbare Zeichen als "." ausgeben
					if (l=='<') l='.';				// '<' wird wegen des Browsers als '.' dargestellt!
					*Schreibzeiger++=l;				// Zeichen ausgeben
				}
				
			string_out_P (PSTR("\r\n"));				// Zeilenende
			Index16++;									// nchste Zeile
		}
		
		if (Index16 >= Zeilenanzahl) Lesezeiger++;	// Nach dem letzten Schleifendurchlauf beenden wir,
		else 	Lesezeiger = Wiederholzeiger;			// sonst wiederholen wir den Block
		
	} // Ende der Bearbeitung der Blockendemarken
	
Lesezeiger++; // Das auf <ESCAPE> folgende Zeichen berlesen

// Ende des Einschubs
