/*#######################################################################################
AVR Webserver 

Copyright (C) 2006 Joachim Brke

#######################################################################################*/

#ifndef _Uhr_H
 #define _Uhr_H

// Leuchtdiodenport festlegen
#define LED_LINES			PORTD	// Port mit der LED
#define LED_LINES_DIR		DDRD	// Richtungsregister (Eingang oder Ausgang)
#define LED_PIN				7		// Pin an dem die LED angeschlossen ist

extern char ss;
extern char mm;
extern char hh;
extern char tt;
extern char mt;
extern char jj;

extern char s1;
extern char m1;
extern char h1;
extern char d1;

extern char DCF_fehler;
extern unsigned char VAS;

unsigned char	VA2;				// LED-Status

extern void Clock_init (void);		// Initialisierung der Uhr
extern void wait10ms (char n);
extern void Check_Clock (void);		// periodischer Aufruf der Uhr
extern char Signal_abtasten (void);	// Abfrage des Signalpegels

#endif //_Uhr_H
